2021-09-25 11:04 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004125JimPower[WHDLoad Installs Games] slavepublic2019-06-21 23:20
Reporterhaynor666 
Assigned ToJOTDProject InfoJim Power (Loriciel)
http://www.whdload.de/games/JimPower.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004125: In non CD32 mode second button skips levels
DescriptionI have standard Python joystick but it's set to two button mode. When I don't use option 2 button to jump then second button acts as level skip.
TagsNo tags attached.
MachineA1200
CPU68EC030
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.0
KickROM39 - Kick 3.0
KickSoftNone
WHDLoad18.2
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0006871

JOTD (developer)

ok, so when you set the 2nd button jump option, it jumps and doesn't skip

and when you don't set the 2nd button jump option, it skips the levels??

from here it looks from wrongly detected CD32 joypad. But in that case it would skip the levels even with 2ndb as jump...

winuae+retroadapter or real amiga?

note ~0006872

haynor666 (reporter)

It is real Amiga 1200 with EC030 and 32 MbFast and Quickshot QS-137F set to Sega Master System mode (essentially 2 button mode on Amiga). It's not a big deal anyway. I simply disabled this mode in joystick.

note ~0006884

JOTD (developer)

was missing joystick/joypad autodetect code call... fixed in 2.1
+Notes

-Issue History
Date Modified Username Field Change
2019-05-22 20:51 haynor666 New Issue
2019-06-16 15:07 JOTD Assigned To => JOTD
2019-06-16 15:07 JOTD Status new => assigned
2019-06-16 15:09 JOTD Note Added: 0006871
2019-06-16 16:21 haynor666 Note Added: 0006872
2019-06-21 23:20 JOTD Status assigned => closed
2019-06-21 23:20 JOTD Resolution open => fixed
2019-06-21 23:20 JOTD Note Added: 0006884
+Issue History